<?php
/*
 * Created on Jun 10, 2011
 *
 * Author: Filip Bartmann
 * Project: com_ch_pay_j15
 */

defined('_JEXEC') or die('Restricted access');

class SefExt_com_chpay extends SefExt {
	function create(&$uri) {
		$vars=$uri->getQuery(true);
		$db=JFactory::getDBO();
		$title=array();
		$nonsefvars=array();
		
		JFactory::getLanguage()->load('com_chpay');		
		if(isset($vars["view"])) {
			switch($vars["view"]) {
				case 'pay':
					if(isset($vars["Itemid"])) {
						$title[]=JoomSEF::_getMenuTitle('com_chpay',null,$vars["Itemid"]);
					} else {
						$title[]=JText::_('Pay');
					}
					break;
				case 'payconfirm':
					$title[]=JText::_('Payment confirm');
					break;
				case 'paydetails':
					$query="SELECT name FROM #__plugins \n";
					$query.="WHERE id=".$vars["plugin_id"];
					$db->setQUery($query);
					$plugin=$db->loadResult();
					
					$title[]=JText::_('Payment details');
					$title[]=$plugin;
					break;
			}
		} else {
			switch($vars["task"]) {
				case 'pay_process':
					$title[]=$vars["task"];
					break;
				case 'pay_finish':
					$query="SELECT p.name AS plugin \n";
					$query.="FROM #__plugins AS p \n";
					$query.="WHERE p.id=".$vars["id"];
					$db->setQUery($query);
					$plugin=$db->loadResult();
					
					$title[]=$vars["task"];
					$title[]=$plugin;
					$title[]=$vars["id"];
					break;
				case 'pay_cancel':
					$query="SELECT p.name AS plugin \n";
					$query.="FROM #__plugins AS p \n";
					$query.="WHERE p.id=".$vars["id"];
					$db->setQUery($query);
					$plugin=$db->loadResult();
					
					$title[]=$vars["task"];
					$title[]=$plugin;
					$title[]=$vars["id"];
					break;
				default:
					$title[]=$vars["controller"];
					$title[]=$vars["task"];
					if(isset($vars["id"])) {
						$title[]=$vars["id"];
					}
					break;
			}
		}
		
		return JoomSEF::_sefGetLocation($uri,$title,null,null,null,$vars["lang"]);
	}
}
?>