<?php
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class ChpayControllerConfiguration extends JController {
	var $_url=null;
	var $_model=null;
	
	function __construct($config=array()) {
		parent::__construct($config);
		$this->_url='index.php?option=com_chpay&view=configuration&layout=form';
		$this->_model=$this->getModel('configuration');
	}
	
	function display() {
		JRequest::setVar('view','configuration');
		JRequest::setVar('layout','form');
		
		parent::display();
	}
	
	function save() {
		if(!$this->_model->store()) {
			$msg=$this->_model->getError();
		} else {
			$msg=JText::_('Successfully saved configuration');
		}
		$this->setRedirect($this->_url,$msg);
	}
	
	function cancel() {
		$this->setRedirect($this->_url);
	}
}
?>