<?php
/*
 * Created on Jul 21, 2011
 *
 * Author: Filip Bartmann
 * Project: com_ch_pay_j15
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class chpayControllercourses  extends JController {
	private $_url=null;
	private $_model=null;
	
	function __construct($config=array()) {
		parent::__construct($config);
		$this->_url='index.php?option=com_chpay&view=courses';
		$this->_model=$this->getModel('course');
	}
	
	function display() {
		JRequest::setVar('view','courses');
		
		parent::display();
	}
	
	
	function edit() {
		JRequest::setVar('view','course');
		JRequest::setVar('layout','form');
		JRequest::setVar('hidemainmenu',1);
		
		parent::display();
	}
	
	function save() {
		JRequest::checkToken() or jexit('Invalid token');
		
		if(!$this->_model->store(JRequest::get('post'))) {
			$msg=$this->_model->getError();
		} else {
			$msg=JText::_('Successfully saved curse');
		}
		
		$this->_model->checkin();
		
		$this->setRedirect($this->_url,$msg);
	}
	
	function cancel() {
		$this->_model->checkin();
		
		$this->setRedirect($this->_url);
	}
	
	function remove() {
		$msg="";
		if(!$this->_model->delete()) {
			$msg=$this->_model->getError();
		}
		
		$this->setRedirect($this->_url,$msg);
	}
}
?>