<?php
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class ChpayModelConfiguration extends JModel {
	private $_table=null;
	function __construct() {
		parent::__construct();
		$this->_table=$this->getTable('configuration');
	}

	function getData() {
		$this->_table->load();

		$this->_table->success_page=new JParameter($this->_table->success_page);
		$this->_table->waiting_page=new JParameter($this->_table->waiting_page);
		$this->_table->err_page=new JParameter($this->_table->err_page);

		return $this->_table;
	}

	function getLangs() {
		return JFactory::getLanguage()->getKnownLanguages(JPATH_SITE);

	}

	function store() {
		$this->_table->bind(JRequest::get('post'));

		$success_page=JRegistry::getInstance(null);
		$success_page->loadArray(JRequest::getVar('success_page',array(),'post','array',JREQUEST_ALLOWRAW));
		$this->_table->success_page=addslashes($success_page->toString());

		$waiting_page=JRegistry::getInstance(null);
		$waiting_page->loadArray(JRequest::getVar('waiting_page',array(),'post','array',JREQUEST_ALLOWRAW));
		$this->_table->waiting_page=addslashes($waiting_page->toString());
		
		$error_page=JRegistry::getInstance(null);
		$error_page->loadArray(JRequest::getVar('err_page',array(),'post','array',JREQUEST_ALLOWRAW));
		$this->_table->err_page=addslashes($error_page->toString());

		if(!$this->_table->store()) {
			$this->setError($this->_table->getError());
			return false;
		}
		return true;
	}
}
?>