<?php
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.path');

class TableConfiguration extends JObject {
	var $max_try=null;
	var $bann_time=null;
	var $captcha_state=null;
	var $captcha_len=null;
	var $default_currency=null;
	var $success_page=null;
	var $waiting_page=null;
	var $err_page=null;
	var $use_ssl=null;
	var $add_advert=null;
	function load() {
		if(JFile::exists(JPATH_COMPONENT_ADMINISTRATOR.DS.'config.php')) {
			require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'config.php');
			$config=new Config();
			foreach(get_object_vars($this) as $k=>$v) {
				if(substr($k,0,1)!='_') {
					$this->$k=$config->$k;
				}
			}
		}
	}
	
	function bind($data) {
		foreach(get_object_vars($this) as $k=>$v) {
			if(substr($k,0,1)!='_') {
				$this->$k=$data[$k];
			}
		}
	}
	
	function store() {
		$conf_file=JPATH_COMPONENT_ADMINISTRATOR.DS.'config.php';
		$txt="<?php \n";
		$txt.="class Config { \n";
		foreach(get_object_vars($this) as $k=>$v) {
			if(substr($k,0,1)!='_') {
				$txt.='var $'.$k.'='.$this->_quote($this->$k).';'."\n";
			}
		}
		$txt.="} \n";
		$txt.="?>";
		/*if(JFile::exists($conf_file) && JPath::canChmod($conf_file)) {
			JPAth::setPermissions($conf_file,0644);
		}*/
		if(!JFile::write($conf_file,$txt)) {
			$this->setError(JText::_('Cant write to config file'));
			return false;
		}
		/*if(JPath::canChmod($conf_file)) {
			JPath::setPermissions($conf_file,0444);
		}*/
		return true;
	}
	
	private function _quote($string) {
		return "\"$string\"";
	}
}
?>