<?php

defined('_JEXEC') or die('Restricted access');

?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<table>
	<tr>
		<td><?php echo Jtext::_('Name'); ?>:&nbsp;<?php echo $this->lists["name"]; ?></td>
		<td><?php echo Jtext::_('Variable symbol'); ?>:&nbsp;<input class="inputbox" type="text" name="var_sym" id="var_sym" value="<?php echo $this->lists["var_sym"]; ?>" onchange="document.adminForm.submit();" /></td>
		<td><?php echo JText::_('Currency'); ?>:&nbsp;<?php echo $this->lists["currency"]; ?></td>
		<td><?php echo Jtext::_('Plugin'); ?>:&nbsp;<?php echo $this->lists["plugin_id"]; ?></td>
	</tr>
</table>
<div id="editcell">
	<table class="adminlist">
		<thead>
			<tr>
				<th width="5">
				<?php echo JText::_('NUM'); ?>
				</th>
				<th width="5">
				<input class="inputbox" type="checkbox" name="toggle" value="0" onclick="checkAll('<?php echo count($this->data); ?>')" />
				</th>
				<th>
				<?php echo JHTML::_('grid.sort','Date pay','pa.date_payed',$this->lists["orderDir"],$this->lists["orderBy"]); ?>
				</th>
				<th>
				<?php echo JHTML::_('grid.sort','Username','pa.name',$this->lists["orderDir"],$this->lists["orderBy"]); ?>
				</th>
				<th>
				<?php echo JHTML::_('grid.sort','Title','pa.description',$this->lists["orderDir"],$this->lists["orderBy"]); ?>
				</th>
				<th>
				<?php echo JHTML::_('grid.sort','Variable Symbol','pa.var_sym',$this->lists["orderDir"],$this->lists["orderBy"]); ?>
				</th>
				<th>
				<?php echo JHTML::_('grid.sort','Amount','pa.amount',$this->lists["orderDir"],$this->lists["orderBy"]); ?>
				</th>
				<th>
				<?php echo JHTML::_('grid.sort','Currency','pa.currency',$this->lists["orderDir"],$this->lists["orderBy"]); ?>
				</th>
				<th>
				<?php echo JHTML::_('grid.sort','Payment method','pl.name',$this->lists["orderDir"],$this->lists["orderBy"]); ?>
				</th>
				<th width="5px">
				<?php echo JHTML::_('grid.sort','Payment state','pa.state',$this->lists["orderDir"],$this->lists["orderBy"]); ?>
				</th>
				<th>
				<?php echo JText::_('Action'); ?>
				</th>
				<th>
				<?php echo JText::_('ID'); ?>
				</th>
		</thead>
		<tbody>
		<?php
			$k=0;
			for($i=0;$i<count($this->data);$i++) {
				$row=$this->data[$i];
				$params=new JParameter($row->params);
				$details=$params->get('details');
				if(strlen($details)) {
					$row->plugin.=" - ".$details;
				}

				$link='index.php?option=com_chpay&view=payment&cid[]='.$row->id;
				?>
				<tr class="row<?php echo $k; ?>">
					<td><?php echo $this->pagination->getRowOffset($i); ?></td>
					<td><?php echo JHTML::_('grid.checkedout',$row,$i); ?></td>
					<td><?php echo JFactory::getDate($row->date_payed)->toFormat('%d.%m.%Y %H:%M'); ?></td>
					<td><?php if(JTable::isCheckedOut($this->user->get('id'),$row->checked_out)) {
						echo $row->title;
					} else {
						?>
						<a href="<?php echo $link; ?>"><?php echo $row->title; ?></a>
						<?php
					}
					?></td>
					<td><?php echo $row->name; ?></td>
					<td><?php echo $row->var_sym; ?></td>
					<td><?php echo $row->amount; ?></td>
					<td><?php echo $row->currency; ?></td>
					<td><?php echo $row->plugin; ?></td>
					<td><?php
					if($row->state==2) {
						echo '<span class="editlinktip hasTip" style="text-decoration: none; color: #333;" title="'.JText::_('Payed').'">'.JHTML::_('image.administrator','tick.png').'</span>';
					} else if($row->state==1) {
						echo '<span class="editlinktip hasTip" style="text-decoration: none; color: #333;" title="'.JText::_('Authorized').'">'.JHTML::_('image.administrator','publish_y.png').'</span>';
					} else {
						echo '<span class="editlinktip hasTip" style="text-decoration: none; color: #333;" title="'.JText::_('Unpayed').": ".$row->message.'">'.JHTML::_('image.administrator','publish_x.png').'</span>';
					} ?>
					</td>
					<td><?php
						echo JHTML::_('link',JRoute::_('index.php?option=com_chpay&view=payment&cid[]='.$row->id),JText::_('Show'));
						/*if($row->state==1) {
							echo "&nbsp;&nbsp;".JHTML::_('link',JRoute::_('index.php?option=com_chpay&controller=payments&task=make_payment&cid[]='.$row->id),JText::_('Make payment'));
						}*/
						?>
					</td>
					<td><?php echo $row->id; ?></td>
				</tr>
				<?php
				$k=1-$k;
			}
		?>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="99">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
		</tfoot>
	</table>
</div>
<input type="hidden" name="option" value="com_chpay" />
<input type="hidden" name="controller" value="payments" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="hidemainmenu" value="0" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists["orderBy"]; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists["orderDir"]; ?>" />
<?php echo JHTML::_('form.token'); ?>
</form>
