<?php
/*
 * Created on 2.5.2011
 *
 * Author: Filip Bartmann
 * Project: com_ch_pay_j15
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class CHPayControllerPayments extends JController {
	private $_model=null;
	function __construct($config=array()) {
		parent::__construct($config);
		$this->_model=$this->getModel('pay');
	}

	function get_captcha() {
		header("Content-type: image/png");
		echo $this->_model->getCaptcha();
		JFactory::getApplication()->close();
	}

	function check_captcha() {
		echo json_encode($this->_model->checkCaptcha());
		JFactory::getApplication()->close();
	}

	function check_bann() {
		echo json_encode(array('state'=>$this->_model->getIsBanned()));
		JFactory::getApplication()->close();
	}

	function check_var_sym() {
		echo json_encode(array('state'=>$this->_model->checkVarSym()));
		JFactory::getApplication()->close();
	}

	function pay_details() {
		JRequest::setVar('view','paydetails');
		JRequest::setVar('layout','form');

		parent::display();
	}

	function pay_process() {
		if(!$this->_model->payProcess()) {
			echo '<script type="text/javascript">alert("'.$this->_model->getError().'");window.location="index.php"</script>';
		}
	}

	function get_info() {
		echo $this->_model->getInfo();
		JFactory::getApplication()->close();
	}
	
	function get_fields() {
		echo $this->_model->getFields();
		JFactory::getApplication()->close();
	}

	function pay_finish() {
		JRequest::setVar('view','payfinish');
		if(!$this->_model->payFinish()) {
			JFactory::getApplication()->setUserState('com_chpay.error',$this->_model->getError());
		}
		parent::display();
	}

	function pay_cancel() {
		JRequest::setVar('view','payfinish');
		if(!$this->_model->payCancel()) {
			JFactory::getApplication()->setUserState('com_chpay.error',$this->_model->getError());
		} else {
			JFactory::getApplication()->setUserState('com_chpay.error',JText::_('Payment cancelled'));
		}
		parent::display();
	}
}
?>