<?php
/*
 * Created on 2.5.2011
 *
 * Author: Filip Bartmann
 * Project: com_ch_pay_j15
 */

defined('_JEXEC') or die('Restricted access');

?>
<script type="text/javascript">
function get_details(id) {
	new Request.JSON({
		'url':'index.php?option=com_chpay&controller=payments&task=get_info',
		'data':'id='+id,
		'method':'post',
		'onSuccess':function(json,text) {
			if(json.details_page) {
				document.adminForm.task.value='pay_details';
			}
			document.adminForm.check_invoicenum.value=json.check_invoicenum;
			var currency=document.adminForm.currency.options[document.adminForm.currency.selectedIndex].value;
			document.adminForm.currency.length=0;
			for(var i=0;i<json.currencies.length;i++) {
				var selected='';
				if(json.currencies[i]==currency) {
					selected='selected';
				}
				document.adminForm.currency.appendChild(new Element('option',{
					'value':json.currencies[i],
					'text':json.currencies[i],
					'selected':selected
				}));
			}
		}
	}).send();
	
	new Request.JSON({
		'url':'index.php?option=com_chpay&controller=payments&task=get_fields',
		'data':'id='+id,
		'method':'post',
		'onSuccess':function(json,text) {
			document.getElementById('plugin_fields').innerHTML=unescape(text);
		}
	}).send();
	document.getElementById('plugin_id').value=id;
}

function submitbutton() {
	var f=document.adminForm;
	if(f.name.value=="") {
		return alert('<?php echo JText::_('You must set name'); ?>');
	}
	if(f.email.value=="") {
		return alert('<?php echo JText::_('You must set email'); ?>');
	}
	if(f.company.value=="") {
		return alert('<?php echo Jtext::_('You must set company'); ?>');
	}
	if(f.description.value=="") {
		return alert('<?php echo JText::_('You must set description'); ?>');
	}
	if(f.amount.value=="") {
		return alert('<?php echo Jtext::_('You must set amount'); ?>');
	}
	if(f.var_sym.value.length<5) {
		return alert('<?php echo JText::_('Invoice number must have minimal 5 numbers'); ?>');
	}
	if(f.plugin_id.value=="") {
		return alert('<?php echo Jtext::_('You must select payment type'); ?>');
	}
	if(f.currency.options[f.currency.selectedIndex].value==-1) {
		return alert('<?php echo Jtext::_('You must select currency'); ?>');
	}

	<?php
	if($this->config->captcha_state==1) {
		?>
		if(f.captcha.value=="") {
			return alert('<?php echo Jtext::_('You must write captcha code'); ?>');
		} else {
			new Request.JSON({
				'url':'index.php?option=com_chpay&controller=payments&task=check_captcha',
				'metod':'post',
				'data':'captcha='+f.captcha.value,
				'onSuccess':function(json,text) {
					if(json=='1') {
						submitform();
					} else {
						alert('<?php echo Jtext::_('Captcha code is wrong'); ?>')
						document.adminForm.captcha_img.src='index.php?option=com_chpay&controller=payments&task=get_captcha&id='+Math.random();
					}
				}
			}).send();
		}
		<?php
	} else {
		?>
		submitform();
		<?php
	}
	?>
}

function submitform() {	
	var f=document.adminForm;
	new Request.JSON({
		'url':'index.php?option=com_chpay&controller=payments&task=check_bann',
		'method':'post',
		'data':'var_sym='+f.var_sym.value,
		'onSuccess':function(json,text) {
			if(json.state=='1') {
				var plugin_id=document.getElementById('plugin_id').value;
				if(document.adminForm.check_invoicenum.value==1) {
					new Request.JSON({
						'url':'index.php?option=com_chpay&controller=payments&task=check_var_sym',
						'method':'post',
						'data':'var_sym='+f.var_sym.value+'&plugin_id='+plugin_id,
						'onSuccess':function(json,text) {
							if(json.state==0) {
								document.adminForm.submit();
							} else {
								alert('<?php echo JText::_('This invoice number is allready used'); ?>');
								return false;
							}
						}
					}).send();
				} else {
					document.adminForm.submit();
				}
			} else {
				alert('<?php echo JText::_('You are banned'); ?>');
			}
		}
	}).send();
}
function resetform() {
	var f=document.adminForm;
	f.name.value="";
	f.company.value="";
	f.description.value="";
	f.var_sym.value="";
	f.amount.value="";
	<?php
	if($this->config->captcha_state==1) {
		?>
		f.captcha.value="";
		<?php
	}
	?>
}
</script>
<?php
if($this->params->get('show_page_title',1)) {
	?>
	<div class="componentheading<?php echo $this->params->get('pageclass_sfx');  ?>">
	<?php echo $this->params->get('page_title'); ?>
	</div>
	<?php
}
?>
<div class="payform">
	<form action="<?php echo JRoute::_('index.php?option=com_chpay&controller=payments&task=pay_process'); ?>" method="post" name="adminForm" id="adminForm">
	<table class="adminform">
		<tr>
			<td>
			<?php echo Jtext::_('Name and surname'); ?>
			</td>
			<td>
			<input type="text" class="textarea" name="name" id="name" value="" />
			</td>
		</tr>
		<tr>
			<td>
			<?php echo JText::_('Email'); ?>
			</td>
			<td>
			<input type="text" class="textarea" name="email" id="email" value="" />
			</td>
		</tr>
		<tr>
			<td>
			<?php echo JText::_('Company'); ?>
			</td>
			<td>
			<input type="text" class="textarea" name="company" id="company" value="" />
			</td>
		</tr>
		<tr>
			<td>
			<?php echo Jtext::_('Description'); ?>
			</td>
			<td>
			<input type="text" class="textarea" name="description" id="description" value="" />
			</td>
		</tr>
		<tr>
			<td>
			<?php echo Jtext::_('Invoice No.'); ?>
			</td>
			<td>
			<input type="text" class="textarea" name="var_sym" id="var_sym" value="" />
			</td>
		</tr>
		<tr>
			<td>
			<?php echo Jtext::_('Payment method'); ?>
			</td>
			<td>
				<?php
				for($i=0;$i<count($this->lists["plugin_id"]);$i++) {
					?>
					<div class="paymentmethod">
						<input type="radio" name="payment_id" id="payment_id_<?php echo $this->lists["plugin_id"][$i]->value; ?>" value="<?php echo $this->lists["plugin_id"][$i]->value; ?>" class="inputbox" onclick="get_details(<?php echo $this->lists["plugin_id"][$i]->id; ?>);"/>
						<label for="payment_id_<?php echo $this->lists["plugin_id"][$i]->value; ?>"><?php echo $this->lists["plugin_id"][$i]->title; ?></label>
					</div>
					<?php
				}
				?>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<table id="plugin_fields">
				</table>
			</td>
		</tr>
		<tr>
			<td>
			<?php echo Jtext::_('Amount'); ?>
			</td>
			<td>
			<input type="text" class="textarea" name="amount" id="amount" value="" />
			</td>
		</tr>
		<tr>
			<td>
			<?php echo Jtext::_('Currency'); ?>
			</td>
			<td>
			<?php echo $this->lists["currency"]; ?>
			</td>
		</tr>
		<?php
		if($this->config->captcha_state==1) {
			?>
			<tr>
				<td>
				<?php echo JText::_('Captcha'); ?>
				</td>
				<td>
				<?php echo JHTML::_('image','index.php?option=com_chpay&controller=payments&task=get_captcha&id='.rand(),'captcha',array('id'=>'captcha_img')); ?><br />
				<input type="text" class="textarea" name="captcha" id="captcha" value="" />
				</td>
			</tr>
			<?php
		}
		?>
		<tr>
			<td colspan="2">
			<input class="button" type="button" value="<?php echo JText::_('Make payment'); ?>" onclick="submitbutton();"/>
			<input class="button" type="button" value="<?php echo JText::_('Reset'); ?>" onclick="resetform();"/>
			</td>
		</tr>
	</table>
	<input type="hidden" name="option" value="com_chpay" />
	<input type="hidden" name="task" value="pay_process" />
	<input type="hidden" name="layout" value="form" />
	<input type="hidden" name="plugin_id" id="plugin_id" value="" />
	<input type="hidden" name="check_invoicenum" value="0" />
	<?php echo JHTML::_('form.token'); ?>
	</form>
</div>
<?php
if($this->config->add_advert) {
	?>
	<div class="advert">
	<?php echo $this->advert; ?>
	</div>
	<?php
}
?>