<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class ChpayControllerPayments extends JController {
	private $_url=null;
	private $_model=null;
	
	function __construct($config=array()) {
		parent::__construct($config);
		$this->_url='index.php?option=com_chpay&controller=payments';
		$this->_model=$this->getModel('payment');
	}
	
	function display() {
		JRequest::setVar('view','payments');
		
		parent::display();
	}
	
	function edit() {
		JRequest::setVar('view','payment');
		JRequest::setVar('layout','form');
		JRequest::setVar('hidemainmenu',1);
		
		parent::display();
	}
	
	function save() {
		JRequest::checkToken() or jexit('Invalid token');
		
		if(!$this->_model->store(JRequest::get('post'))) {
			$msg=$this->_model->getError();
		} else {
			$msg=JText::_('Successfully saved payment');
		}
		
		$this->_model->checkin();
		
		$this->setRedirect($this->_url,$msg);
	}
	
	function cancel() {
		$this->_model->checkin();
		
		$this->setRedirect($this->_url);
	}
	
	function remove() {
		$msg="";
		if(!$this->_model->delete()) {
			$msg=$this->_model->getError();
		}
		
		$this->setRedirect($this->_url,$msg);
	}
	
	function make_payment() {
		$msg=JText::_('Payment successfully completed');
		$err='';
		if(!$this->_model->makePayment()) {
			$msg=$this->_model->getError();
			$err='error';
		}
		$this->setRedirect($this->_url,$msg,$err);
	}
}
?>
