<?php
/*
 * Created on Jul 21, 2011
 *
 * Author: Filip Bartmann
 * Project: com_ch_pay_j15
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class chpayModelcourse extends JModel {
	private $_cid=null;
	private $_id=null;
	private $_user=null;
	private $_table=null;

	function __construct() {
		parent::__construct();

		$this->_cid=JRequest::getVar('cid',array("0"),'','array');
		$this->_id=$this->_cid[0];
		$this->_user=JFactory::getUser();
		$this->_table=$this->getTable('course');
	}

	function getData() {
		$this->_table->load($this->_id);
		return $this->_table;
	}

	function store($datas) {
		$this->_table->bind($datas);
		$this->_table->id=$this->_id;
		$this->_table->conversion_rate=str_replace(',','.',$this->_table->conversion_rate);
		if(!$this->_table->store()) {
			$this->setError($this->_db->stderr(true));
			return false;
		}
		return true;
	}

	function delete() {
		$query="DELETE FROM ".$this->_table->getTableName()." \n";
		$query.="WHERE id IN (".implode(",",$this->_cid).") \n";
		$this->_db->setQuery($query);
		if(!$this->_db->query()) {
			$this->setError($this->_db->stderr(true));
			return false;
		}
		return true;
	}

	function checkout() {
		if(!$this->_table->checkout($this->_user->get('id'),$this->_id)) {
			$this->setError($this->_db->stderr(true));
			return false;
		}
		return true;
	}

	function checkin() {
		if(!$this->_table->checkin($this->_id)) {
			$this->setError($this->_db->stderr(true));
			return false;
		}
		return true;
	}
}
?>