<?php
/*
 * Created on Jul 21, 2011
 *
 * Author: Filip Bartmann
 * Project: com_ch_pay_j15
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class chpayModelcourses  extends JModel {
	private $_limitstart=null;
	private $_limit=null;
	private $_orderBy=null;
	private $_orderDir=null;
	function __construct() {
		parent::__construct();
		$app=JFactory::getApplication();
		$option=JRequest::getCmd('option');
		
		$this->_limitstart=$app->getUserStateFromRequest($option.'limitstart','limitstart',0,'int');
		$this->_limit=$app->getUserStateFromRequest($option.'limit','limit',$app->getCfg('list_limit'),'int');
		$this->_orderBy=$app->getUserStateFromRequest($option.'filter_order','filter_order','from_currency','string');
		$this->_orderDir=$app->getUserStateFromRequest($option.'filter_order_Dir','filter_order_Dir','','string');
	}
	
	private function _setQuery() {
		$query="SELECT * FROM ".$this->getTable('course')->getTableName()." \n";
		$query.="ORDER BY ".$this->_orderBy." ".$this->_orderDir." \n";
		return $query;
	}
	
	function getData() {
		return $this->_getList($this->_setQuery(),$this->_limitstart,$this->_limit);
	}
	
	function getPagination() {
		jimport('joomla.html.pagination');
		return new JPagination($this->_getListCount($this->_setQuery()),$this->_limitstart,$this->_limit);
	}
	
	function getLists() {
		$lists["limitstart"]=$this->_limitstart;
		$lists["limit"]=$this->_limit;
		$lists["orderBy"]=$this->_orderBy;
		$lists["orderDir"]=$this->_orderDir;
		
		return $lists;
	}
}
?>