<?php
/*
 * Created on Jul 28, 2011
 *
 * Author: Filip Bartmann
 * Project: com_ch_pay_j15
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class CHPayModelPayFinish extends JModel {
	private $_config=null;
	private $_pay_state=null;

	function __construct() {
		parent::__construct();
		$this->_config=$this->getTable('configuration');
		$this->_config->load();
		//$this->_paystate=JRequest::getInt('paystate');
		$this->_paystate=JFactory::getApplication()->getUserState('com_chpay.paystate');
	}

	function getData() {
		$id=JFactory::getApplication()->getUserState('com_chpay.pay_id');
		JFactory::getApplication()->setUserState('com_chpay.pay_id',null);
		if(strlen($id)==0) {
			$id=0;
		}

		$query="SELECT amount, currency, var_sym, state \n";
		$query.="FROM #__chp_payments \n";
		$query.="WHERE id=".$id;
		$this->_db->setQuery($query);
		$payment=$this->_db->loadObject();


		if($payment->state==2) {
			$page=new JParameter($this->_config->success_page);
		} else if($payment->state==1) {
			$page=new JParameter($this->_config->waiting_page);
		} else {
			$page=new JParameter($this->_config->err_page);
		}
		$page=$page->get(JFactory::getApplication()->getUserState('com_chpay.lang_id'));
		JFactory::getApplication()->setUserState('com_chpay.lang_id',null);


		$page=str_replace('{AMOUNT}',$payment->amount,$page);
		$page=str_replace('{CURRENCY}',$payment->currency,$page);
		$page=str_replace('{VAR_SYM}',$payment->var_sym,$page);
		$page=str_replace('{ERROR}',JFactory::getApplication()->getUserState('com_chpay.error'),$page);
		JFactory::getApplication()->setUserState('com_chpay.error',null);


		return $page;
	}
}
?>